Package org.lwjgl.opengles

# Class ANGLEFramebufferBlit

java.lang.Object
org.lwjgl.opengles.ANGLEFramebufferBlit

public final class ANGLEFramebufferBlit extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DRAW_FRAMEBUFFER_ANGLE`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferTexture3DOES, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_DRAW_FRAMEBUFFER_BINDING_ANGLE`
Accepted by the <pname> parameters of GetIntegerv and GetFloatv:
`static final int`
`GL_READ_FRAMEBUFFER_ANGLE`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferTexture3DOES, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_READ_FRAMEBUFFER_BINDING_ANGLE`
Accepted by the <pname> parameters of GetIntegerv and GetFloatv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBlitFramebufferANGLE(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_READ_FRAMEBUFFER_ANGLE

public static final int GL_READ_FRAMEBUFFER_ANGLE
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferTexture3DOES, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER_ANGLE

public static final int GL_DRAW_FRAMEBUFFER_ANGLE
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture2D, FramebufferTexture3DOES, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER_BINDING_ANGLE

public static final int GL_DRAW_FRAMEBUFFER_BINDING_ANGLE
Accepted by the <pname> parameters of GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER_BINDING_ANGLE

public static final int GL_READ_FRAMEBUFFER_BINDING_ANGLE
Accepted by the <pname> parameters of GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glBlitFramebufferANGLE

public static void glBlitFramebufferANGLE(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)